Bug 66577 - cannot activate Teles ISDN PCI card
cannot activate Teles ISDN PCI card
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Brock Organ
Depends On:
Blocks: rcn-7.3
  Show dependency treegraph
Reported: 2002-06-12 10:39 EDT by Need Real Name
Modified: 2007-04-18 12:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-01-03 06:20:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-06-12 10:39:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98; {World Online})

Description of problem:
When i add the teles isdn card, it is added, but when i try to activate it it 
will not. i get a message; could not actived.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Start here -> configuration --> Internet configuration
2. new device --> isdn connection --> Teles PCI
3. IRQ 5 and io 300 are in gray, so i can not change the values. IRQ 5 is okee 
but the memmory io must be at e400.
--> OK --> fill in Internet provider, phone number , username and password and 
click ok.
Line is added not activated yet.
add dns from provider
click on activated and get can not activated ppp0.

Actual Results:  get a message can not activated ppp0.

Expected Results:  a line in with activeted ppp0 

Additional info:

I have a 
- NE1000,ne2000 compatible network card on irq 3 300

- Teles ISDN.SO PCI card on IRQ 5 E8007000-E8007FFF E400-e4ff

- creative live! card uses:
Creative SB game 0200-0207; multimedia ec00-ec07; sb port 260-26f, MPU401 330-
331, adlib port 388-38b, irq 9, 8b dma 3, 16b dma 7; Creative live irq: 10 , 
i/o e800-e81f.

- TV station card irq 5 e8005000-e8006fff

- video aopen pa3030 ultra irq 11 io 3b0-3bb, 3c0-3df
000a00000-000cffff, e4000000-e6ffffff

on a pentium 3 550 MHz with 128 Mb
Comment 1 Trond Eivind Glomsrxd 2002-08-13 17:46:10 EDT
Wrong component... refiling.
Comment 2 Ngo Than 2002-10-05 06:55:29 EDT
could you please send the file /etc/sysconfig/isdncard to me.
Comment 3 Harald Hoyer 2002-10-23 05:48:44 EDT
first beta of erratum is available at:

Most of the bugs reported have been removed, but as in every software change,
there could be new bugs introduced.

Please report bugs against this with explicitly stating the 1.0.1 version... Thx
and please test.
Comment 4 Need Real Name 2002-12-19 15:19:24 EST
From: E.D. Grootjans
> To: harald@redhat.com
> Sent: Monday, October 28, 2002 7:58 PM
> Subject: test config file

I have upgraded my computer to redhat 8.0.
Stil the problem with the isdn card excists.
I have tryed to instal redhat-config-network-1.0.1-1.i386.rpm, but i get an 
error cause of dependencies
I tryed rpm -Uvh *.rpm
The version in redhat 8.0 of the config file is 1.1.20-1.

From: "Harald Hoyer" <harald@redhat.de>
> To: "E.D. Grootjans" <e.d.grootjans@hccnet.nl>
> Sent: Monday, November 04, 2002 2:02 PM
> Subject: Re: test config file
> > redhat-config-network-1.0.1-1.i386.rpm is for 7.3
> > you did nothing wrong.
> > so we should change the bugzilla entry to version 8.0
Comment 5 Ngo Than 2002-12-19 18:16:40 EST
please don't use redhat-config-network-1.0.1-1.i386.rpm for 8.0. It's built
for RHL 7.3.

Please try following steps:
 - start redhat-config-network
 - remove your isdn card
 - save settings and exit
 - remove the file /etc/sysconfig/isdncard
 - start redhat-config-network again
 - add your ISDN card manually from the list, if it's not detected
 - add your provider
 - save settings
 - active ippp0 should work now

Comment 6 Ngo Than 2002-12-19 18:19:33 EST
I think it's something wrong in your old isdncard config-file.
Comment 7 Need Real Name 2002-12-23 08:10:45 EST
i have tryed removing the card from redhat-config-nertwork, save and exit. 
Deleted the file isdncard and did restart reconfigure and still it does not 
Redhat config network does not detect the right isdncard, it comes with NETJET 
I have tryed all cards in redhat-config-network with irq 5. By most off them i 
can not enter the memorylocation and/or the i/o location.
Some cards come automaticly with irq 5 but most of them come with the wrong io 
memory -- the find 300 and that is the memeory of the ethernetcard.
Everytime i start windows 98 my teles isdncard is working properly and 
configurated on irq 5 mem E8007000 io e400.

If this is notabug what is it then, because it is not a hardware problem 
because in windows 98 its working fine. So there must be something wrong with 
the recognition from the hardware and thats in my view a bug...

Q: how can i see which irq is allocated for my isdn card ?

Comment 8 Need Real Name 2002-12-30 18:17:06 EST
With testing i discoverd that in /proc/pci the card is on irq3, but irq 3 is 
used by my networkcard. When i try to activated the card i see a message 
in  /var/log/messages that there is no respons on irq 3. 
So the card is by startup initialised on the wrong irq. 

In knoppix the card was started succesfully on irq 3 (my networkcard was not 
seen at all - and did not work) The Teles card is NOT recognized as a TELES PCI 
card but as an TIGER JET NETWORKCARD. I don't no why, but i think this is 

Q: Can i force the card to go to irq 5 ???
Comment 9 Ngo Than 2003-01-03 06:20:38 EST
As i know there are some Teles ISDN PCI Cards, which are identified as NETJET.
I have this card in my machine. And it works fine.

If redhat-config-network sees this card as NETJET, please use it.

You cannot force the card to have irq 5, The driver does not allow it.

And if it still does not work for you, perhaps try !W6692 based PCI cards" from
the list.

Note You need to log in before you can comment on or make changes to this bug.